---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly, check cmd/gen-docs/docs.go.
-->

# `glab repo list`

Get list of repositories.

```plaintext
glab repo list [flags]
```

## Examples

```plaintext
glab repo list

```

## Options

```plaintext
  -a, --all               List all projects on the instance
      --member            Only list projects which you are a member
  -m, --mine              Only list projects you own (default true)
  -o, --order string      Return repositories ordered by id, created_at, or other fields (default "last_activity_at")
  -p, --page int          Page number (default 1)
  -P, --per-page int      Number of items to list per page. (default 30)
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
  -s, --sort string       Return repositories sorted in asc or desc order
      --starred           Only list starred projects
```

## Options inherited from parent commands

```plaintext
      --help   Show help for command
```
